package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.SysConfigApiMapper;
import com.ruoyi.business.domain.SysConfigApi;
import com.ruoyi.business.service.ISysConfigApiService;
import com.ruoyi.common.core.text.Convert;

/**
 * 系统配置信息Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class SysConfigApiServiceImpl implements ISysConfigApiService 
{
    @Autowired
    private SysConfigApiMapper sysConfigApiMapper;

    /**
     * 查询系统配置信息
     * 
     * @param id 系统配置信息主键
     * @return 系统配置信息
     */
    @Override
    public SysConfigApi selectSysConfigApiById(Long id)
    {
        return sysConfigApiMapper.selectSysConfigApiById(id);
    }

    /**
     * 查询系统配置信息列表
     * 
     * @param sysConfigApi 系统配置信息
     * @return 系统配置信息
     */
    @Override
    public List<SysConfigApi> selectSysConfigApiList(SysConfigApi sysConfigApi)
    {
        return sysConfigApiMapper.selectSysConfigApiList(sysConfigApi);
    }

    /**
     * 新增系统配置信息
     * 
     * @param sysConfigApi 系统配置信息
     * @return 结果
     */
    @Override
    public int insertSysConfigApi(SysConfigApi sysConfigApi)
    {
        return sysConfigApiMapper.insertSysConfigApi(sysConfigApi);
    }

    /**
     * 修改系统配置信息
     * 
     * @param sysConfigApi 系统配置信息
     * @return 结果
     */
    @Override
    public int updateSysConfigApi(SysConfigApi sysConfigApi)
    {
        return sysConfigApiMapper.updateSysConfigApi(sysConfigApi);
    }

    /**
     * 批量删除系统配置信息
     * 
     * @param ids 需要删除的系统配置信息主键
     * @return 结果
     */
    @Override
    public int deleteSysConfigApiByIds(String ids)
    {
        return sysConfigApiMapper.deleteSysConfigApiByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除系统配置信息信息
     * 
     * @param id 系统配置信息主键
     * @return 结果
     */
    @Override
    public int deleteSysConfigApiById(Long id)
    {
        return sysConfigApiMapper.deleteSysConfigApiById(id);
    }
}
